﻿using System;
using System.Collections.ObjectModel;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Navigation;

namespace DataPointInfo
{
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
            this.DataContext = new ViewModel();
        }

        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
        }
    }

    public class Data
    {
        public double Value { get; set; }
        public string Category { get; set; }
    }

    public class ViewModel
    {
        private static readonly Random rand = new Random();
        public ViewModel()
        {
            this.Items = new ObservableCollection<Data>();
            for (var i = 0; i < 10; i++)
            {
                this.Items.Add(new Data { Value = rand.Next(5, 10), Category = "category " + i });
            }
        }
        public ObservableCollection<Data> Items { get; set; }
    }
}
